const { getStoicQuote } = require('../tasks/stoicism_reminder');

/**
 * Maneja el comando `!estoico` para enviar una cita de estoicismo en español.
 * @param {Object} client - Instancia del cliente de WhatsApp.
 * @param {Object} message - Mensaje recibido de WhatsApp.
 */
const handleStoicismCommand = async (client, message) => {
    try {
        const quoteMessage = await getStoicQuote();
        await client.sendMessage(message.from, quoteMessage);
        console.log(`📤 Cita de estoicismo enviada en respuesta a ${message.from}`);
    } catch (error) {
        console.error('❌ Error al enviar la cita de estoicismo:', error);
        await client.sendMessage(message.from, '❌ Hubo un problema al obtener la cita de estoicismo. Intenta más tarde.');
    }
};

module.exports = {
    handleStoicismCommand
};
