const cron = require('node-cron');
const { sendStoicReminder } = require('../tasks/stoicism_reminder');

/**
 * Inicializa las tareas de recordatorio programadas para citas de estoicismo.
 * @param {Object} client - Instancia del cliente de WhatsApp.
 */
const initializeCronJobs = (client) => {
    // Enviar recordatorio al despertar (7:00 AM)
    cron.schedule('0 7 * * *', () => {
        sendStoicReminder(client);
    });

    // Enviar recordatorio al mediodía (12:00 PM)
    cron.schedule('0 12 * * *', () => {
        sendStoicReminder(client);
    });

    // Enviar recordatorio antes de dormir (9:00 PM)
    cron.schedule('0 21 * * *', () => {
        sendStoicReminder(client);
    });

    console.log('⏰ Recordatorios de citas de estoicismo programados para las 7:00 AM, 12:00 PM y 9:00 PM.');
};

module.exports = {
    initializeCronJobs
};
